Bug 209394 - unable to display contents of <input> when not inside <form>
unable to display contents of <input> when not inside <form>
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 23:31 EDT by Lawrence Lim
Modified: 2014-03-25 20:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 03:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case for oriya locale (414.47 KB, application/octet-stream)
2006-10-04 23:31 EDT, Lawrence Lim
no flags Details
bug report from bugzilla which has quite a few <input> tags (31.30 KB, application/octet-stream)
2006-10-04 23:34 EDT, Lawrence Lim
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 46040 None None None Never

  None (edit)
Description Lawrence Lim 2006-10-04 23:31:33 EDT
Description of problem:
One more thing I found interesting today. ;-)
Noticed that the contents of the Test Cases (html) is not showing the same in
OOo compare to firefox. Seems the information from <input> tags are not processed.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.4-4.2
icu-3.6-5

How reproducible:
Always

Steps to Reproduce:
1.open the font test case (html) attached in oowriter
2.open the font test case (html) attached in firefox
3.
  
Actual results:
firefox able to display information in <input> but not oowriter

Expected results:
should show the same amount of data

Additional info:
Try to load a (bug report) page from bz. Seems ok.
Comment 1 Lawrence Lim 2006-10-04 23:31:33 EDT
Created attachment 137798 [details]
test case for oriya locale
Comment 2 Lawrence Lim 2006-10-04 23:34:38 EDT
Created attachment 137799 [details]
bug report from bugzilla which has quite a few <input> tags
Comment 3 Caolan McNamara 2006-10-05 03:46:39 EDT
Yeah, OOo can't handle input fields unless they are part of a form, see.
http://qa.openoffice.org/issues/show_bug.cgi?id=46040

It's possible to work around this by adding <form> ... </form> around all the
bare <input> tags

Note You need to log in before you can comment on or make changes to this bug.